include("BK_HealthElement.lua")
include("BK_AmmoElement.lua")
include("BK_Extras.lua")
include("BK_Help.lua")
include("BK_Other.lua")

CreateClientConVar( "BKHud_Enabled", 1, true, false )
CreateClientConVar( "BKHud_WeaponInfo", 1, true, false )
CreateClientConVar( "BKHud_Helmet", 1, true, false )
CreateClientConVar( "BKHud_Helmet_Type", 0, true, false )
CreateClientConVar( "BKHud_Goggles", 0, true, false )
CreateClientConVar( "BKHud_Scarf", 0, true, false )
CreateClientConVar( "BKHud_Scarf_R", 255, true, false )
CreateClientConVar( "BKHud_Scarf_G", 255, true, false )
CreateClientConVar( "BKHud_Scarf_B", 255, true, false )
CreateClientConVar( "BKHud_Color_R", 255, true, false )
CreateClientConVar( "BKHud_Color_G", 255, true, false )
CreateClientConVar( "BKHud_Color_B", 255, true, false )
CreateClientConVar( "BKHud_AmmoColor_R", 255, true, false )
CreateClientConVar( "BKHud_AmmoColor_G", 180, true, false )
CreateClientConVar( "BKHud_AmmoColor_B", 0, true, false )
CreateClientConVar( "BKHud_AmmoColor_A", 255, true, false )
CreateClientConVar( "BKHud_Character", 0, true, false )
CreateClientConVar( "BKHud_Health_X", 0, true, false )
CreateClientConVar( "BKHud_Health_Y", 0, true, false )
CreateClientConVar( "BKHud_Ammo_X", 0, true, false )
CreateClientConVar( "BKHud_Ammo_Y", 0, true, false )
CreateClientConVar( "BKHud_AmmoIcon_X", 0, true, false )
CreateClientConVar( "BKHud_AmmoIcon_Y", 0, true, false )
CreateClientConVar( "BKHud_Air_X", 0, true, false )
CreateClientConVar( "BKHud_Air_Y", 0, true, false )
CreateClientConVar( "BKHud_ShowExtra", 1, true, false )
CreateClientConVar( "BKHud_Warning", 1, true, false )
CreateClientConVar( "BKHud_Warning_Health", 30, true, false )
CreateClientConVar( "BKHud_Warning_Sound", 1, true, false )
CreateClientConVar( "BKHud_Warning_Volume", 75, true, false )
CreateClientConVar( "BKHud_Ammo_Warning", 1, true, false )
CreateClientConVar( "BKHud_Ammo_Warning_Sound", 1, true, false )
CreateClientConVar( "BKHud_Ammo_Warning_Volume", 50, true, false )
CreateClientConVar( "BKHud_Water", 1, true, false )

function ScreenScaleFixedX( size )
return size * ( ScrW() / 480.0 )
end

function ScreenScaleFixedY( size )
return size * ( ScrH() / 480.0 )
end

surface.CreateFont("Injekuta Bl", ScreenScaleFixedX(12),400, true, false, "BKTextBig")
surface.CreateFont("Injekuta Bl", ScreenScaleFixedX(8.8),400, true, false, "BKText")
surface.CreateFont("Injekuta Bl", ScreenScaleFixedX(7),400, true, false, "BKTextSmall")
surface.CreateFont("Injekuta Bl", ScreenScaleFixedX(5.75),400, true, false, "BKTextVerySmall")
surface.CreateFont("Injekuta Bl", ScreenScaleFixedX(4),400, true, false, "BKTextSuperSmall")

function BladeKittenHUD()
DrawHealthBK()
DrawAmmoBK()
ExtrasBK()
O2Element()
end
hook.Add("HUDPaint","BladeKittenHUDHook",BladeKittenHUD)